Package org.eclipse.net4j.util

# Interface DoubleBiPredicate

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface DoubleBiPredicate

Since:
  3.23
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`default DoubleBiPredicate`
`and(DoubleBiPredicate other)`
`default DoubleBiPredicate`
`negate()`
`default DoubleBiPredicate`
`or(DoubleBiPredicate other)`
`boolean`
`test(double v1, double v2)`

## Method Details

### test

boolean test(double v1, double v2)

### negate

default DoubleBiPredicate negate()

### and

default DoubleBiPredicate and(DoubleBiPredicate other)

### or

default DoubleBiPredicate or(DoubleBiPredicate other)